<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Apimports Model
 *
 * @method \App\Model\Entity\Apimport get($primaryKey, $options = [])
 * @method \App\Model\Entity\Apimport newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\Apimport[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\Apimport|bool save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\Apimport patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\Apimport[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\Apimport findOrCreate($search, callable $callback = null, $options = [])
 *
 * @mixin \Cake\ORM\Behavior\TimestampBehavior
 */
class ApimportsTable extends Table
{

    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->table('apimports');
        $this->displayField('id');
        $this->primaryKey('id');

        $this->addBehavior('Timestamp');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmpty('id', 'create');

        $validator
            ->requirePresence('schule', 'create')
            ->notEmpty('schule');

        $validator
            ->requirePresence('pruefungsart', 'create')
            ->notEmpty('pruefungsart');

        $validator
            ->integer('anzahl')
            ->requirePresence('anzahl', 'create')
            ->notEmpty('anzahl');

        $validator
            ->requirePresence('schuelerstatus', 'create')
            ->notEmpty('schuelerstatus');

        $validator
            ->integer('lieferung')
            ->requirePresence('lieferung', 'create')
            ->notEmpty('lieferung');

        $validator
            ->dateTime('erzeugungsdatum')
            ->requirePresence('erzeugungsdatum', 'create')
            ->notEmpty('erzeugungsdatum');

        return $validator;
    }
}
